import React from "react";
import PropTypes from "prop-types";
import styles from "./RdsButton.module.css";

const RdsButton = ({ text, size, onClick, className }) => {
  let sizeCls = 'md';
  switch (size) {
    case 'large':
      sizeCls = 'lg';
      break;
    case 'small':
      sizeCls = 'sm';
      break;
    default:
      break;
  }
  return (
    <input
      type="button"
      className={`${styles.pretty_btn} ${styles[sizeCls]} ${className}`}
      onClick={onClick}
      value={text}
    />
  );
};

RdsButton.propTypes = {
  text: PropTypes.string,
  size: PropTypes.oneOf(["small", "medium", "large"]),
  onClick: PropTypes.func,
  className: PropTypes.string
};

RdsButton.defaultProps = {
  text: "Click!",
  size: "medium",
  onClick: () => { },
  className: ''
};

export default RdsButton;
