import { render, getByText, fireEvent } from "@testing-library/react";
import React from "react";
import RdsButton from "./RdsButton";

describe("RdsButton", () => {
  it("should display text", () => {
    const { container } = render(<RdsButton text="We Salute You!" />);
    getByText(container, "We Salute You!");
  });
  it("should call onClick function on click", () => {
    const onClickMock = jest.fn();
    const { container } = render(
      <RdsButton text="Click me, maybe?" onClick={onClickMock} />
    );
    const component = container.firstChild;

    fireEvent.click(component);

    expect(onClickMock).toBeCalled();
  })
});