import React from "react";
import PropTypes from "prop-types";
import styles from "./RdsCheckBox.module.css";

const RdsCheckBox = ({ checked, size, onChange, className }) => {
  let sizeCls = 'md';
  switch (size) {
    case 'large':
      sizeCls = 'lg';
      break;
    case 'small':
      sizeCls = 'sm';
      break;
    default:
      break;
  }
  let checkedCls;
  checkedCls = checked ? 'pretty_checkbox_checked' : '';
  return (
    <input
      type="checkbox"
      className={`${styles.pretty_checkbox} ${styles[checkedCls]} ${styles[sizeCls]} ${className}`}
      onChange={onChange}
      checked={checked}
    />
  );
};

RdsCheckBox.propTypes = {
  checked: PropTypes.bool,
  size: PropTypes.oneOf(["small", "medium", "large"]),
  className: PropTypes.string,
  onChange: PropTypes.func
};

RdsCheckBox.defaultProps = {
  checked: false,
  size: "medium",
  className: '',
  onChange: () => { }
};

export default RdsCheckBox;
