import React from "react";
import style from "./RdsInputText.module.css";
import PropTypes from "prop-types";

const RdsInputText = ({ text, size, onChange, className }) => {
  let sizeCls = "md";
  switch (size) {
    case "large":
      sizeCls = "lg";
      break;
    case "small":
      sizeCls = "sm";
      break;
    default:
      break;
  }
  return (
    <input
      type="text"
      value={text}
      onChange={e => onChange(e.target.value)}
      className={`${style.pretty_input} ${style[sizeCls]} ${className}`}
    />
  );
};

RdsInputText.propTypes = {
  text: PropTypes.string,
  size: PropTypes.oneOf(["small", "medium", "large"]),
  onChange: PropTypes.func,
  className: PropTypes.string
};

RdsInputText.defaultProps = {
  text: "",
  size: "medium",
  onChange: () => {},
  className: ""
};

export default RdsInputText;
