import React from "react";
import PropTypes from 'prop-types';
import styles from './RdsProgressBar.module.css';

const RdsProgressBar = ({ progress, className }) => {
  return (
  <div className={`${styles.container} ${className}`}>
    <div className={styles.progress} style={{width: progress + '%'}}>
        <span className={styles.progress_text}>{progress}%</span>
    </div>
  </div>
  );
}

function validProgress(props, propName, componentName) {
  componentName = componentName || 'ANONYMOUS';

  if (props[propName]) {
    let value = props[propName];
    if (typeof value === 'number') {
        return (value >= 0 && value <= 100) ? null : new Error(propName + ' in ' + componentName + " is not within 0 to 100");
    } else {
        return new Error(propName + ' in ' + componentName + " is not a number");
    }
  }
  // assume all ok
  return null;
}

RdsProgressBar.propTypes = {
    progress: validProgress,
    className: PropTypes.string
}

export default RdsProgressBar;
