const path = require("path");

module.exports = {
  webpackConfig: {
    module: {
      rules: [
        {
          test: /\.jsx?$/,
          exclude: /node_modules/,
          loader: "babel-loader"
        },
        {
          test: /\.css$/,
          use: [
            {
              loader: "style-loader",
            },
            { 
              loader: "css-loader",
              options: {
                importLoaders: 1,
                modules: {
                  localIdentName: "[name]__[local]___[hash:base64:5]"
                }
              },
            }
          ]
        }
      ]
    }
  },
  title: "React Design System",
  styleguideDir: "dist-docs",
  moduleAliases: {
    "react-design-system-tut": path.resolve(__dirname, "src")
  }
};